#include <bits/stdc++.h>
#include<ctime>
#include <algorithm>
using namespace std;

int main(void){
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr); cout.tie(nullptr);
    vector<char> slova= {'A','B','C','D','E','F','G','H','I','J','K','L','M','N','O','P','Q','R','S','T','U','V','W','X','Y','Z'};

    int n; cin >> n;
    char niz[n];
    for(int i=0;i<n;++i){
        cin >> niz[i];
    }
    if(n<=26)
        cout << 0;
    else if(n<=27)
        cout<<1;
    else{
        for(int i=0;i<n;++i){

        }
    }
    return 0;
}